"""support for unicode under Python-2.0 and later

NT calls return unicode objects. we must turn them into strings
"""

import sys

if sys.hexversion >= 0x02000000:
    # A partir de Python-2.0, make_string prend en compte la possibilit que s
    # puisse tre un objet unicode
    from types import UnicodeType

    def make_string(s, encoding='iso-8859-15'):
        """return s as a string

        if s is an unicode object, encode it in 'encoding'
        """
        if type(s) is UnicodeType:
            # XXX what if an exception occurs?
            return s.encode(encoding)
        else:
            return str(s)
else:
    def make_string(s, encoding='ignored'):
        """return s as a string
        """
        return str(s)
